Version française
Home     About     Download     Resources     Contact us    
Browse thread
Re: [Felix-impl] it no me build
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Rhythmic Fistman <rfistman@g...>
Subject: Re: [Felix-impl] [Caml-list] Re: it no me build
On 5/15/07, skaller <skaller@users.sourceforge.net> wrote:
> On Tue, 2007-05-15 at 10:48 +0200, Rhythmic Fistman wrote:
> > On 5/15/07, Erick Tryzelaar <idadesub@users.sourceforge.net> wrote:
> > > skaller wrote:
> > > > On Tue, 2007-05-15 at 01:43 +0200, Rhythmic Fistman wrote:
> > > >
> > > >> camlopt.opt  -w yzex -warn-error FDPSU   -a -o
> > > >> dypgen/generators/pgen/pgen.cmxa
> > > >> dypgen/generators/pgen/pgen_parser_param.cmx
> > > >> dypgen/generators/pgen/pgen_lexer.cmx
> > > >> CAML LINKING EXECUTABLES
> > > >> ocamlopt.opt  -w yzex -warn-error FDPSU  -I src -I dypgen/dyplib -I
> > > >> dypgen/generators/pgen -o bin/pgen flx_version.cmxa dyplib.cmxa
> > > >> pgen.cmxa src/flx_version_hook.ml dypgen/generators/pgen/pgen.cmx
> > > >> /usr/bin/ld: Undefined symbols:
> > > >> _camlParser
> > > >>
> > > >
> > > > This works fine on Linux.
> > > >
> > > > Maybe this is the -pack option not working on OSX?
> > > >
> > > >
> > > >
> > > I don't think -pack worked on OSX until a more recent version of ocaml
> > > 3.09. Which one are you using?
> >
> > The Objective Caml toplevel, version 3.09.2
>
> Can you try building Dypgen directly from the dypgen tarball using
> the provided makefile?


What tarball?